com.here.msdkui.routing

## Enum OptionItem.ItemType

- java.lang.Object
- - java.lang.Enum<OptionItem.ItemType>
  - - com.here.msdkui.routing.OptionItem.ItemType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OptionItem.ItemType>
  Enclosing class:
    OptionItem

      public static enum OptionItem.ItemType
      extends java.lang.Enum<OptionItem.ItemType>

  All the available option item types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN_OPTION_ITEM` Boolean type option item.
    `MULTIPLE_CHOICE_OPTION_ITEM` Multiple choice type option item.
    `NUMBER_OPTION_ITEM` Number type option item.
    `SINGLE_CHOICE_OPTION_ITEM` Single choice type option item.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OptionItem.ItemType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OptionItem.ItemType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN_OPTION_ITEM

          public static final OptionItem.ItemType BOOLEAN_OPTION_ITEM

      Boolean type option item.

    - #### SINGLE_CHOICE_OPTION_ITEM

          public static final OptionItem.ItemType SINGLE_CHOICE_OPTION_ITEM

      Single choice type option item.

    - #### MULTIPLE_CHOICE_OPTION_ITEM

          public static final OptionItem.ItemType MULTIPLE_CHOICE_OPTION_ITEM

      Multiple choice type option item.

    - #### NUMBER_OPTION_ITEM

          public static final OptionItem.ItemType NUMBER_OPTION_ITEM

      Number type option item.

  - ### Method Detail

    - #### values

          public static OptionItem.ItemType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OptionItem.ItemType c : OptionItem.ItemType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OptionItem.ItemType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null